Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class DataDefinition.QueryFragmentFunction

    java.lang.Object
      org.makumba.DataDefinition.QueryFragmentFunction

All Implemented Interfaces:
  Serializable

Enclosing interface:
  DataDefinition

    public static class DataDefinition.QueryFragmentFunction

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`DataDefinition.QueryFragmentFunction(String name, String sessionVariableName, String queryFragment, DataDefinition parameters, String errorMessage)`

Method Summary
`String` | `getErrorMessage()`
`String` | `getName()`
`DataDefinition` | `getParameters()`
`String` | `getQueryFragment()`
`String` | `getSessionVariableName()`
`boolean` | `isActorFunction()`
`boolean` | `isSessionFunction()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataDefinition.QueryFragmentFunction

    public DataDefinition.QueryFragmentFunction(String name,
                                                String sessionVariableName,
                                                String queryFragment,
                                                DataDefinition parameters,
                                                String errorMessage)

Method Detail

### getName

    public String getName()

### getSessionVariableName

    public String getSessionVariableName()

### getParameters

    public DataDefinition getParameters()

### getQueryFragment

    public String getQueryFragment()

### getErrorMessage

    public String getErrorMessage()

### isActorFunction

    public boolean isActorFunction()

### isSessionFunction

    public boolean isSessionFunction()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20